  dofile_once("data/scripts/lib/utilities.lua")

function OnModPreInit()
  -- pass
end

function OnModInit()
    -- pass
end

function OnModPostInit()
    -- pass
end

function OnPlayerSpawned( player_entity )
  GamePrint("Welcome")

  local cape = nil

  local AW_cape_color = 0x5e0600
  local AW_cape_color_edge = 0x7f4521

  local player_child_entities = EntityGetAllChildren( player_entity )
  if ( player_child_entities ~= nil ) then
    for i,child_entity in ipairs( player_child_entities ) do
      local child_entity_name = EntityGetName( child_entity )

      if ( child_entity_name == "cape" ) then
        cape = child_entity
      end
    end
  end

  -- set player cape colour (since we're changing multiple variables, we'll use the edit_component() utility)
  edit_component( cape, "VerletPhysicsComponent", function(comp,vars)
    vars.cloth_color = AW_cape_color
    vars.cloth_color_edge = AW_cape_color_edge
  end)

  GamePrintImportant( "Welcome back" )
end
